Bug 8831 - Inconsistent (with manpage) command-line switch for "help" in smbtree
Inconsistent (with manpage) command-line switch for "help" in smbtree
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.3
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 20:41 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2012-05-07 16:34 UTC (History)
0 users

See Also:


Attachments
git-am patch for 3.6.x. (810 bytes, patch)
2012-03-30 19:24 UTC, Jeremy Allison
kseeger: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2012-03-28 20:41:00 UTC
This was reported as Debian bug #665391: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665391


Steps to reproduce:

1.) Call "smbtree --help"
2.) Call "smbtree -h"
3.) Call "smbtree -?"

Only 1.) and 3.) work. The manpage claims 1.) and 2.) should work:

$ man smbtree |grep -A2 help
       -h|--help
           Print a summary of command line options.
$
Comment 1 Jeremy Allison 2012-03-30 19:24:40 UTC
Created attachment 7413 [details]
git-am patch for 3.6.x.

Manpage fix needed I think.
Comment 2 Karolin Seeger 2012-05-07 16:34:53 UTC
Pushed to v3-5-test and v3-6-test.
Closing out bug report.

Thanks!